Subject: RE: [SIP] Session-timer issue with ISUP

From: Jonathan Rosenberg <[email-masked]>
Date: Thu, 15 Mar 2001 01:58:03 -0500

> -----Original Message-----
> From: Christer Holmberg [mailto:[email-masked]]
> Sent: Monday, February 12, 2001 8:01 AM
> To: [email-masked]
> Subject: [SIP] Session-timer issue with ISUP
> 
> 
> 
> Hi,
> 
> I would like to clarify an issue with the session-timer - 
> again related
> to SIP/PSTN interworking.
> 
> The session-timer draft says:
> 
> "If the refreshing re-INVITE is used solely for refreshing, it MUST
> still contain a session description, unchanged from the previous
> INVITE. The session description MUST somehow indicate that it has not
> changed. In the case of SDP, this is accomplished by including the
> same value for the origin field as previous messages to its peer."
> 
> First, I assume that it is NOT allowed to send a new ISUP body in the
> re-INVITE (INFO MUST be used for that, since it doesn't affect the SIP
> part of the call). If it is allowed, I would not only have to compare
> the SDP body to the original INVITE, but also the ISUP body - and any
> other possible body...

It has nothing to do with session timer. The ISUP/SIP mapping draft defines
which ISUP messages are allowed in which SIP messages. I don't think
anything makes sense in INVITE excepting IAM, so any mid-call ISUP would not
go in a re-INVITE.

> 
> Second, if the first assumption is correct, I wonder if it is possible
> not to send the ISUP bodies in the re-INVITEs at all?

What ISUP bodies? The refreshes don't need to contain the IAM, I don't
think, that was used to set up the call initially.

-Jonathan R.
---
Jonathan D. Rosenberg                       72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.cs.columbia.edu/~jdrosen         PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
This list is for continuing development of the SIP protocol.
The sip-implementor's list is the place to discuss implementation,
and to receive advice on understanding existing sip.
To subscribe to it, send mail to 
[email-masked] with "subscribe" in the body.